#include <qdialog.h>

class QLabel;
class QButton;
class ScanList;
class QVBoxLayout;

class ScanDialog : public QDialog
{
	Q_OBJECT
  public:
	ScanDialog(ScanList *scan, QWidget *parent =0, const char *name =0);
	~ScanDialog();

	int exec();

  private:
	ScanList *scanlist;

	QVBoxLayout *box;

	QLabel *text;
	QPushButton *cancel;

	void timerEvent(QTimerEvent *e);

	int old_state;

  public slots:
	void clickCancel();
};
